# DataExchange
TKSTEP209
StepFEA

# StepFEA_ElementGeometricRelationship Class Reference

Representation of STEP entity ElementGeometricRelationship
.

`#include <StepFEA_ElementGeometricRelationship.hxx>`

## Public Member Functions

Standard_EXPORT | StepFEA_ElementGeometricRelationship ()
| Empty constructor .
Standard_EXPORT void | Init (const StepFEA_ElementOrElementGroup &aElementRef, const Handle(StepElement_AnalysisItemWithinRepresentation)&aItem, const StepElement_ElementAspect &aAspect)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepFEA_ElementOrElementGroup | ElementRef () const
| Returns field ElementRef .
Standard_EXPORT void | SetElementRef (const StepFEA_ElementOrElementGroup &ElementRef)
| Set field ElementRef .
Standard_EXPORT Handle_StepElement_AnalysisItemWithinRepresentation | Item () const
| Returns field Item .
Standard_EXPORT void | SetItem (const Handle(StepElement_AnalysisItemWithinRepresentation)&Item)
| Set field Item .
Standard_EXPORT StepElement_ElementAspect | Aspect () const
| Returns field Aspect .
Standard_EXPORT void | SetAspect (const StepElement_ElementAspect &Aspect)
| Set field Aspect .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepFEA_ElementOrElementGroup | theElementRef
Handle_StepElement_AnalysisItemWithinRepresentation | theItem
StepElement_ElementAspect | theAspect

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_ElementGeometricRelationship::StepFEA_ElementGeometricRelationship | ( |  | ) |

## Member Function Documentation

Standard_EXPORT StepElement_ElementAspect StepFEA_ElementGeometricRelationship::Aspect | ( |  | ) | const

Standard_EXPORT StepFEA_ElementOrElementGroup StepFEA_ElementGeometricRelationship::ElementRef | ( |  | ) | const

Standard_EXPORT const StepFEA_ElementGeometricRelationship::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepFEA_ElementGeometricRelationship::Init | ( | const StepFEA_ElementOrElementGroup & | aElementRef,
|  | const Handle(StepElement_AnalysisItemWithinRepresentation)& | aItem,
|  | const StepElement_ElementAspect & | aAspect
| ) |

Standard_EXPORT Handle_StepElement_AnalysisItemWithinRepresentation StepFEA_ElementGeometricRelationship::Item | ( |  | ) | const

Standard_EXPORT void StepFEA_ElementGeometricRelationship::SetAspect | ( | const StepElement_ElementAspect & | Aspect | ) |

Standard_EXPORT void StepFEA_ElementGeometricRelationship::SetElementRef | ( | const StepFEA_ElementOrElementGroup & | ElementRef | ) |

Standard_EXPORT void StepFEA_ElementGeometricRelationship::SetItem | ( | const Handle(StepElement_AnalysisItemWithinRepresentation)& | Item | ) |

## Field Documentation

StepElement_ElementAspect StepFEA_ElementGeometricRelationship::theAspect `[private]`

StepFEA_ElementOrElementGroup StepFEA_ElementGeometricRelationship::theElementRef `[private]`

Handle_StepElement_AnalysisItemWithinRepresentation StepFEA_ElementGeometricRelationship::theItem `[private]`

The documentation for this class was generated from the following file:

- StepFEA_ElementGeometricRelationship.hxx